import jaggl.OpenGL;

public class Class225_Sub36_Sub1_Sub2 extends Class225_Sub36_Sub1 {

   int[] anIntArray10667 = null;
   Class103_Sub1 aClass103_Sub1_10668;


   Class225_Sub36_Sub1_Sub2(Class103_Sub1 var1, Class45 var2) {
      super(var2);
      this.aClass103_Sub1_10668 = var1;
   }

   final int method16475() {
      return this.anIntArray10667[this.aClass103_Sub1_10668.method2009(1288210238)];
   }

   public boolean method15631(int var1) {
      if(this.anIntArray10667 == null) {
         this.anIntArray10667 = new int[this.aClass103_Sub1_10668.method2003(-1613701452)];
      }

      Class100_Sub2 var2 = (Class100_Sub2)this.aClass103_Sub1_10668.method2004(var1, -2051278142);
      this.anIntArray10667[var1] = OpenGL.glGetUniformLocation(var2.anInt8308, this.method15632(-292912669));
      return this.anIntArray10667[var1] != -1;
   }

   public final int method15633(int var1) {
      return this.anIntArray10667[var1];
   }

   public boolean method15647(int var1) {
      if(this.anIntArray10667 == null) {
         this.anIntArray10667 = new int[this.aClass103_Sub1_10668.method2003(-1529649109)];
      }

      Class100_Sub2 var2 = (Class100_Sub2)this.aClass103_Sub1_10668.method2004(var1, -2105581846);
      this.anIntArray10667[var1] = OpenGL.glGetUniformLocation(var2.anInt8308, this.method15632(-292912669));
      return this.anIntArray10667[var1] != -1;
   }

   final int method16476() {
      return this.anIntArray10667[this.aClass103_Sub1_10668.method2009(1288210238)];
   }

   public final int method15630(int var1) {
      return this.anIntArray10667[var1];
   }

   public final int method15638(int var1) {
      return this.anIntArray10667[var1];
   }

   public final int method15644(int var1) {
      return this.anIntArray10667[var1];
   }
}
